events {
  worker_connections  4096;  ## Default: 1024
}
http {
    server {
        listen 80;
        server_name {{ domain_name }};

        # enforce https
        return 301 https://$server_name$request_uri;
    }
    
# HTTPS Server

    server {
        listen 443;
        server_name {{ domain_name }};

        location / {
            root /etc/nginx/Elements;
            index index.html index.htm;
        }
        
        error_page   500 502 503 504  /50x.html;
        location = /50x.html {
            root   /var/www/html/{{ domain_name }};
        }

        access_log /var/log/nginx/ssl.{{ domain_name }}_access.log;
        error_log /var/log/nginx/ssl.{{ domain_name }}_error.log;

        ssl on;

        ssl_session_timeout 5m;

        ssl_certificate /etc/nginx/ssl/{{ domain_name }}.crt;
        ssl_certificate_key /etc/nginx/ssl/{{ domain_name }}.key;

        ssl_protocols TLSv1 TLSv1.1 TLSv1.2;
        ssl_ciphers "HIGH:!aNULL:!MD5 or HIGH:!aNULL:!MD5:!3DES";
        ssl_prefer_server_ciphers on;
        }
}